import { Express } from 'express';

// Route imports
import frontend_routes from './frontend/index.js';
import static_routes from './static/index.js';
import api_routes from './api/index.js';
import dev_routes from './dev/index.js';

export default (app: Express) => {
	app.use('/', frontend_routes);
	app.use('/static', static_routes);
	app.use('/api', api_routes);
	app.use('/dev', dev_routes); // This is just for development. ToDo: Add check if we are in devmode.
};
